Bug 463775 - RHEL5 cmirror tracker: lvchange is unable to deactivate cmirror in order to resync
RHEL5 cmirror tracker: lvchange is unable to deactivate cmirror in order to r...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: lvm2 (Show other bugs)
5.3
All Linux
low Severity medium
: rc
: ---
Assigned To: Jonathan Earl Brassow
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-24 12:47 EDT by Corey Marthaler
Modified: 2010-01-11 22:54 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-14 17:49:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Marthaler 2008-09-24 12:47:27 EDT
Description of problem:

[root@hayes-03 ~]# lvchange --resync hayes/mirror
Do you really want to deactivate logical volume mirror to resync it? [y/n]: y
  Error locking on node hayes-03: Volume is busy on another node
  Can't get exclusive access to clustered volume mirror

This works with single machine mirrors.

Other lvchange operations just say "Cannot change while active" instead of attempting to deactivate it.

[root@hayes-03 ~]# lvchange --permission r hayes/mirror
  Cannot change permissions of mirror "mirror" while active.

Version-Release number of selected component (if applicable):
2.6.18-115.gfs2abhi.001

lvm2-2.02.40-2.el5    BUILT: Fri Sep 19 09:46:26 CDT 2008
lvm2-cluster-2.02.40-2.el5    BUILT: Fri Sep 19 09:49:59 CDT 2008
device-mapper-1.02.28-2.el5    BUILT: Fri Sep 19 02:50:32 CDT 2008
cmirror-1.1.25-1.el5    BUILT: Fri Sep 19 16:27:46 CDT 2008
kmod-cmirror-0.1.17-1.el5    BUILT: Fri Sep 19 16:27:33 CDT 2008


How reproducible:
Everytime
Comment 1 Corey Marthaler 2009-01-14 17:49:27 EST
This works now, closing...

[root@hayes-03 ~]# lvs
  LV       VG         Attr   LSize   Origin Snap%  Move Log         Copy%  Convert
  LogVol00 VolGroup00 -wi-ao  64.56G                                              
  LogVol01 VolGroup00 -wi-ao   9.81G                                              
  mirror   hayes      mwi-a- 100.00M                    mirror_mlog 100.00        
[root@hayes-03 ~]# lvchange --resync hayes/mirror
Do you really want to deactivate logical volume mirror to resync it? [y/n]: y
[root@hayes-03 ~]# lvs
  LV       VG         Attr   LSize   Origin Snap%  Move Log         Copy%  Convert
  LogVol00 VolGroup00 -wi-ao  64.56G                                              
  LogVol01 VolGroup00 -wi-ao   9.81G                                              
  mirror   hayes      mwi-a- 100.00M                    mirror_mlog   4.00

2.6.18-128.el5

lvm2-2.02.40-6.el5    BUILT: Fri Oct 24 07:37:33 CDT 2008
lvm2-cluster-2.02.40-7.el5    BUILT: Wed Nov 26 07:19:19 CST 2008
device-mapper-1.02.28-2.el5    BUILT: Fri Sep 19 02:50:32 CDT 2008
cmirror-1.1.36-1.el5    BUILT: Tue Dec  9 16:38:13 CST 2008
kmod-cmirror-0.1.21-10.el5    BUILT: Wed Dec 17 15:18:59 CST 2008

Note You need to log in before you can comment on or make changes to this bug.